# -*- coding: utf-8 -*-

# Form implementation generated from reading ui file 'iocsubmitwindow.ui'
#
# Created by: PyQt5 UI code generator 5.6
#
# WARNING! All changes made in this file will be lost!

from PyQt5 import QtCore, QtGui, QtWidgets

class Ui_IoCsubmitWindow(object):
    def setupUi(self, IoCsubmitWindow):
        IoCsubmitWindow.setObjectName("IoCsubmitWindow")
        IoCsubmitWindow.resize(526, 558)
        self.centralwidget = QtWidgets.QWidget(IoCsubmitWindow)
        self.centralwidget.setObjectName("centralwidget")
        self.submitIocLbl = QtWidgets.QLabel(self.centralwidget)
        self.submitIocLbl.setGeometry(QtCore.QRect(0, 0, 141, 51))
        self.submitIocLbl.setAlignment(QtCore.Qt.AlignCenter)
        self.submitIocLbl.setWordWrap(False)
        self.submitIocLbl.setObjectName("submitIocLbl")
        self.feedGB = QtWidgets.QGroupBox(self.centralwidget)
        self.feedGB.setGeometry(QtCore.QRect(10, 40, 502, 436))
        self.feedGB.setTitle("")
        self.feedGB.setObjectName("feedGB")
        self.widget = QtWidgets.QWidget(self.feedGB)
        self.widget.setGeometry(QtCore.QRect(10, 13, 476, 405))
        self.widget.setObjectName("widget")
        self.gridLayout = QtWidgets.QGridLayout(self.widget)
        self.gridLayout.setContentsMargins(0, 0, 0, 0)
        self.gridLayout.setObjectName("gridLayout")
        self.feedLbl = QtWidgets.QLabel(self.widget)
        self.feedLbl.setAlignment(QtCore.Qt.AlignLeading|QtCore.Qt.AlignLeft|QtCore.Qt.AlignVCenter)
        self.feedLbl.setObjectName("feedLbl")
        self.gridLayout.addWidget(self.feedLbl, 0, 0, 1, 1)
        self.feedComboBox = QtWidgets.QComboBox(self.widget)
        self.feedComboBox.setMaximumSize(QtCore.QSize(401, 26))
        self.feedComboBox.setCurrentText("")
        self.feedComboBox.setObjectName("feedComboBox")
        self.gridLayout.addWidget(self.feedComboBox, 0, 1, 1, 4)
        self.titleLbl = QtWidgets.QLabel(self.widget)
        self.titleLbl.setAlignment(QtCore.Qt.AlignLeading|QtCore.Qt.AlignLeft|QtCore.Qt.AlignVCenter)
        self.titleLbl.setObjectName("titleLbl")
        self.gridLayout.addWidget(self.titleLbl, 1, 0, 1, 1)
        self.titeTxt = QtWidgets.QLineEdit(self.widget)
        self.titeTxt.setMaximumSize(QtCore.QSize(391, 21))
        self.titeTxt.setInputMethodHints(QtCore.Qt.ImhNone)
        self.titeTxt.setAlignment(QtCore.Qt.AlignLeading|QtCore.Qt.AlignLeft|QtCore.Qt.AlignVCenter)
        self.titeTxt.setObjectName("titeTxt")
        self.gridLayout.addWidget(self.titeTxt, 1, 1, 1, 4)
        self.descLbl = QtWidgets.QLabel(self.widget)
        self.descLbl.setAlignment(QtCore.Qt.AlignLeading|QtCore.Qt.AlignLeft|QtCore.Qt.AlignVCenter)
        self.descLbl.setObjectName("descLbl")
        self.gridLayout.addWidget(self.descLbl, 2, 0, 1, 1)
        self.descriptTxt = QtWidgets.QTextEdit(self.widget)
        self.descriptTxt.setMaximumSize(QtCore.QSize(421, 91))
        self.descriptTxt.setObjectName("descriptTxt")
        self.gridLayout.addWidget(self.descriptTxt, 2, 1, 1, 4)
        self.linkLbl = QtWidgets.QLabel(self.widget)
        self.linkLbl.setAlignment(QtCore.Qt.AlignLeading|QtCore.Qt.AlignLeft|QtCore.Qt.AlignVCenter)
        self.linkLbl.setObjectName("linkLbl")
        self.gridLayout.addWidget(self.linkLbl, 3, 0, 1, 1)
        self.linkTxt = QtWidgets.QLineEdit(self.widget)
        self.linkTxt.setMaximumSize(QtCore.QSize(391, 21))
        self.linkTxt.setInputMethodHints(QtCore.Qt.ImhNone)
        self.linkTxt.setAlignment(QtCore.Qt.AlignLeading|QtCore.Qt.AlignLeft|QtCore.Qt.AlignVCenter)
        self.linkTxt.setObjectName("linkTxt")
        self.gridLayout.addWidget(self.linkTxt, 3, 1, 1, 4)
        self.tagsLbl = QtWidgets.QLabel(self.widget)
        self.tagsLbl.setAlignment(QtCore.Qt.AlignLeading|QtCore.Qt.AlignLeft|QtCore.Qt.AlignVCenter)
        self.tagsLbl.setObjectName("tagsLbl")
        self.gridLayout.addWidget(self.tagsLbl, 4, 0, 1, 1)
        self.tagsTxt = QtWidgets.QLineEdit(self.widget)
        self.tagsTxt.setMaximumSize(QtCore.QSize(391, 21))
        self.tagsTxt.setInputMethodHints(QtCore.Qt.ImhNone)
        self.tagsTxt.setAlignment(QtCore.Qt.AlignLeading|QtCore.Qt.AlignLeft|QtCore.Qt.AlignVCenter)
        self.tagsTxt.setObjectName("tagsTxt")
        self.gridLayout.addWidget(self.tagsTxt, 4, 1, 1, 4)
        spacerItem = QtWidgets.QSpacerItem(20, 28, QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Expanding)
        self.gridLayout.addItem(spacerItem, 5, 0, 1, 1)
        self.IoCLbl = QtWidgets.QLabel(self.widget)
        self.IoCLbl.setFrameShape(QtWidgets.QFrame.NoFrame)
        self.IoCLbl.setAlignment(QtCore.Qt.AlignLeading|QtCore.Qt.AlignLeft|QtCore.Qt.AlignVCenter)
        self.IoCLbl.setObjectName("IoCLbl")
        self.gridLayout.addWidget(self.IoCLbl, 6, 0, 1, 1)
        self.ipv4Lbl = QtWidgets.QLabel(self.widget)
        self.ipv4Lbl.setAlignment(QtCore.Qt.AlignLeading|QtCore.Qt.AlignLeft|QtCore.Qt.AlignVCenter)
        self.ipv4Lbl.setObjectName("ipv4Lbl")
        self.gridLayout.addWidget(self.ipv4Lbl, 7, 1, 1, 1)
        self.IPv4Txt = QtWidgets.QLineEdit(self.widget)
        self.IPv4Txt.setInputMethodHints(QtCore.Qt.ImhNone)
        self.IPv4Txt.setAlignment(QtCore.Qt.AlignLeading|QtCore.Qt.AlignLeft|QtCore.Qt.AlignVCenter)
        self.IPv4Txt.setObjectName("IPv4Txt")
        self.gridLayout.addWidget(self.IPv4Txt, 7, 2, 1, 1)
        self.IPv6Lbl = QtWidgets.QLabel(self.widget)
        self.IPv6Lbl.setAlignment(QtCore.Qt.AlignLeading|QtCore.Qt.AlignLeft|QtCore.Qt.AlignVCenter)
        self.IPv6Lbl.setObjectName("IPv6Lbl")
        self.gridLayout.addWidget(self.IPv6Lbl, 7, 3, 1, 1)
        self.tagsTxt_3 = QtWidgets.QLineEdit(self.widget)
        self.tagsTxt_3.setInputMethodHints(QtCore.Qt.ImhNone)
        self.tagsTxt_3.setAlignment(QtCore.Qt.AlignLeading|QtCore.Qt.AlignLeft|QtCore.Qt.AlignVCenter)
        self.tagsTxt_3.setObjectName("tagsTxt_3")
        self.gridLayout.addWidget(self.tagsTxt_3, 7, 4, 1, 1)
        self.hostnameLbl = QtWidgets.QLabel(self.widget)
        self.hostnameLbl.setAlignment(QtCore.Qt.AlignLeading|QtCore.Qt.AlignLeft|QtCore.Qt.AlignVCenter)
        self.hostnameLbl.setObjectName("hostnameLbl")
        self.gridLayout.addWidget(self.hostnameLbl, 8, 1, 1, 1)
        self.hostnameTxt = QtWidgets.QLineEdit(self.widget)
        self.hostnameTxt.setInputMethodHints(QtCore.Qt.ImhNone)
        self.hostnameTxt.setAlignment(QtCore.Qt.AlignLeading|QtCore.Qt.AlignLeft|QtCore.Qt.AlignVCenter)
        self.hostnameTxt.setObjectName("hostnameTxt")
        self.gridLayout.addWidget(self.hostnameTxt, 8, 2, 1, 1)
        self.URLbl = QtWidgets.QLabel(self.widget)
        self.URLbl.setAlignment(QtCore.Qt.AlignLeading|QtCore.Qt.AlignLeft|QtCore.Qt.AlignVCenter)
        self.URLbl.setObjectName("URLbl")
        self.gridLayout.addWidget(self.URLbl, 8, 3, 1, 1)
        self.urlTXT = QtWidgets.QLineEdit(self.widget)
        self.urlTXT.setInputMethodHints(QtCore.Qt.ImhNone)
        self.urlTXT.setAlignment(QtCore.Qt.AlignLeading|QtCore.Qt.AlignLeft|QtCore.Qt.AlignVCenter)
        self.urlTXT.setObjectName("urlTXT")
        self.gridLayout.addWidget(self.urlTXT, 8, 4, 1, 1)
        self.md5LBL = QtWidgets.QLabel(self.widget)
        self.md5LBL.setAlignment(QtCore.Qt.AlignLeading|QtCore.Qt.AlignLeft|QtCore.Qt.AlignVCenter)
        self.md5LBL.setObjectName("md5LBL")
        self.gridLayout.addWidget(self.md5LBL, 9, 1, 1, 1)
        self.md5Txt = QtWidgets.QLineEdit(self.widget)
        self.md5Txt.setInputMethodHints(QtCore.Qt.ImhNone)
        self.md5Txt.setAlignment(QtCore.Qt.AlignLeading|QtCore.Qt.AlignLeft|QtCore.Qt.AlignVCenter)
        self.md5Txt.setObjectName("md5Txt")
        self.gridLayout.addWidget(self.md5Txt, 9, 2, 1, 1)
        self.SHA1Lbl = QtWidgets.QLabel(self.widget)
        self.SHA1Lbl.setAlignment(QtCore.Qt.AlignLeading|QtCore.Qt.AlignLeft|QtCore.Qt.AlignVCenter)
        self.SHA1Lbl.setObjectName("SHA1Lbl")
        self.gridLayout.addWidget(self.SHA1Lbl, 9, 3, 1, 1)
        self.SHA1Txt = QtWidgets.QLineEdit(self.widget)
        self.SHA1Txt.setInputMethodHints(QtCore.Qt.ImhNone)
        self.SHA1Txt.setAlignment(QtCore.Qt.AlignLeading|QtCore.Qt.AlignLeft|QtCore.Qt.AlignVCenter)
        self.SHA1Txt.setObjectName("SHA1Txt")
        self.gridLayout.addWidget(self.SHA1Txt, 9, 4, 1, 1)
        self.SHA256Lbl = QtWidgets.QLabel(self.widget)
        self.SHA256Lbl.setAlignment(QtCore.Qt.AlignLeading|QtCore.Qt.AlignLeft|QtCore.Qt.AlignVCenter)
        self.SHA256Lbl.setObjectName("SHA256Lbl")
        self.gridLayout.addWidget(self.SHA256Lbl, 10, 1, 1, 1)
        self.SHA256Txt = QtWidgets.QLineEdit(self.widget)
        self.SHA256Txt.setInputMethodHints(QtCore.Qt.ImhNone)
        self.SHA256Txt.setAlignment(QtCore.Qt.AlignLeading|QtCore.Qt.AlignLeft|QtCore.Qt.AlignVCenter)
        self.SHA256Txt.setObjectName("SHA256Txt")
        self.gridLayout.addWidget(self.SHA256Txt, 10, 2, 1, 1)
        self.ssdeepLbl = QtWidgets.QLabel(self.widget)
        self.ssdeepLbl.setAlignment(QtCore.Qt.AlignLeading|QtCore.Qt.AlignLeft|QtCore.Qt.AlignVCenter)
        self.ssdeepLbl.setObjectName("ssdeepLbl")
        self.gridLayout.addWidget(self.ssdeepLbl, 10, 3, 1, 1)
        self.ssdeepTxt = QtWidgets.QLineEdit(self.widget)
        self.ssdeepTxt.setInputMethodHints(QtCore.Qt.ImhNone)
        self.ssdeepTxt.setAlignment(QtCore.Qt.AlignLeading|QtCore.Qt.AlignLeft|QtCore.Qt.AlignVCenter)
        self.ssdeepTxt.setObjectName("ssdeepTxt")
        self.gridLayout.addWidget(self.ssdeepTxt, 10, 4, 1, 1)
        self.splitter = QtWidgets.QSplitter(self.centralwidget)
        self.splitter.setGeometry(QtCore.QRect(2, 490, 504, 32))
        self.splitter.setOrientation(QtCore.Qt.Horizontal)
        self.splitter.setObjectName("splitter")
        self.clearButton = QtWidgets.QPushButton(self.splitter)
        self.clearButton.setObjectName("clearButton")
        self.submitButton = QtWidgets.QPushButton(self.splitter)
        self.submitButton.setObjectName("submitButton")
        IoCsubmitWindow.setCentralWidget(self.centralwidget)
        self.menubar = QtWidgets.QMenuBar(IoCsubmitWindow)
        self.menubar.setGeometry(QtCore.QRect(0, 0, 526, 22))
        self.menubar.setObjectName("menubar")
        self.menuHome = QtWidgets.QMenu(self.menubar)
        self.menuHome.setObjectName("menuHome")
        self.menuFeed = QtWidgets.QMenu(self.menubar)
        self.menuFeed.setObjectName("menuFeed")
        self.menuAbout = QtWidgets.QMenu(self.menubar)
        self.menuAbout.setObjectName("menuAbout")
        IoCsubmitWindow.setMenuBar(self.menubar)
        self.actionSubmit_Report = QtWidgets.QAction(IoCsubmitWindow)
        self.actionSubmit_Report.setObjectName("actionSubmit_Report")
        self.actionLogout = QtWidgets.QAction(IoCsubmitWindow)
        self.actionLogout.setObjectName("actionLogout")
        self.actionExit = QtWidgets.QAction(IoCsubmitWindow)
        self.actionExit.setObjectName("actionExit")
        self.actionAll_Feeds = QtWidgets.QAction(IoCsubmitWindow)
        self.actionAll_Feeds.setObjectName("actionAll_Feeds")
        self.actionMy_Feeds = QtWidgets.QAction(IoCsubmitWindow)
        self.actionMy_Feeds.setObjectName("actionMy_Feeds")
        self.actionNew_Feed = QtWidgets.QAction(IoCsubmitWindow)
        self.actionNew_Feed.setObjectName("actionNew_Feed")
        self.actionCymon_Destop = QtWidgets.QAction(IoCsubmitWindow)
        self.actionCymon_Destop.setObjectName("actionCymon_Destop")
        self.actionDeveloper = QtWidgets.QAction(IoCsubmitWindow)
        self.actionDeveloper.setObjectName("actionDeveloper")
        self.actionVersion = QtWidgets.QAction(IoCsubmitWindow)
        self.actionVersion.setObjectName("actionVersion")
        self.menuHome.addAction(self.actionSubmit_Report)
        self.menuHome.addSeparator()
        self.menuHome.addAction(self.actionLogout)
        self.menuHome.addAction(self.actionExit)
        self.menuFeed.addAction(self.actionAll_Feeds)
        self.menuFeed.addAction(self.actionMy_Feeds)
        self.menuFeed.addAction(self.actionNew_Feed)
        self.menuAbout.addAction(self.actionCymon_Destop)
        self.menuAbout.addAction(self.actionDeveloper)
        self.menuAbout.addAction(self.actionVersion)
        self.menubar.addAction(self.menuHome.menuAction())
        self.menubar.addAction(self.menuFeed.menuAction())
        self.menubar.addAction(self.menuAbout.menuAction())

        self.retranslateUi(IoCsubmitWindow)
        self.feedComboBox.setCurrentIndex(-1)
        QtCore.QMetaObject.connectSlotsByName(IoCsubmitWindow)

    def retranslateUi(self, IoCsubmitWindow):
        _translate = QtCore.QCoreApplication.translate
        IoCsubmitWindow.setWindowTitle(_translate("IoCsubmitWindow", "Submit Report"))
        self.submitIocLbl.setText(_translate("IoCsubmitWindow", "<html><head/><body><p><span style=\" font-size:14pt;\">Submit IoC Report</span></p></body></html>"))
        self.feedLbl.setText(_translate("IoCsubmitWindow", "Feed"))
        self.titleLbl.setText(_translate("IoCsubmitWindow", "Title"))
        self.descLbl.setText(_translate("IoCsubmitWindow", "Description"))
        self.linkLbl.setText(_translate("IoCsubmitWindow", "Link"))
        self.tagsLbl.setText(_translate("IoCsubmitWindow", "Tags"))
        self.IoCLbl.setText(_translate("IoCsubmitWindow", "IoC"))
        self.ipv4Lbl.setText(_translate("IoCsubmitWindow", "IPv4"))
        self.IPv6Lbl.setText(_translate("IoCsubmitWindow", "IPv6"))
        self.hostnameLbl.setText(_translate("IoCsubmitWindow", "Hostname"))
        self.URLbl.setText(_translate("IoCsubmitWindow", "URL"))
        self.md5LBL.setText(_translate("IoCsubmitWindow", "MD5"))
        self.SHA1Lbl.setText(_translate("IoCsubmitWindow", "SHA1"))
        self.SHA256Lbl.setText(_translate("IoCsubmitWindow", "SHA256"))
        self.ssdeepLbl.setText(_translate("IoCsubmitWindow", "SSDEEP"))
        self.clearButton.setText(_translate("IoCsubmitWindow", "Clear All"))
        self.submitButton.setText(_translate("IoCsubmitWindow", "Submit"))
        self.menuHome.setTitle(_translate("IoCsubmitWindow", "Home"))
        self.menuFeed.setTitle(_translate("IoCsubmitWindow", "Feed"))
        self.menuAbout.setTitle(_translate("IoCsubmitWindow", "About"))
        self.actionSubmit_Report.setText(_translate("IoCsubmitWindow", "Submit Report"))
        self.actionLogout.setText(_translate("IoCsubmitWindow", "Logout"))
        self.actionExit.setText(_translate("IoCsubmitWindow", "Exit"))
        self.actionAll_Feeds.setText(_translate("IoCsubmitWindow", "All Feeds"))
        self.actionMy_Feeds.setText(_translate("IoCsubmitWindow", "My Feeds"))
        self.actionNew_Feed.setText(_translate("IoCsubmitWindow", "New Feed"))
        self.actionCymon_Destop.setText(_translate("IoCsubmitWindow", "Cymon Destop"))
        self.actionDeveloper.setText(_translate("IoCsubmitWindow", "Developer"))
        self.actionVersion.setText(_translate("IoCsubmitWindow", "Version"))


if __name__ == "__main__":
    import sys
    app = QtWidgets.QApplication(sys.argv)
    IoCsubmitWindow = QtWidgets.QMainWindow()
    ui = Ui_IoCsubmitWindow()
    ui.setupUi(IoCsubmitWindow)
    IoCsubmitWindow.show()
    sys.exit(app.exec_())
